Update an API key
PATCH/user/keys/{key}
Update an API key by providing its new details.
To learn how to use the token of an API key to authenticate your API requests, read the bearer tokens page.
Path Parameters
The handle of the API key.
Possible values: non-empty and <= 50 characters
Body
requiredThe new handle of the API key. Must be unique.
string<handle>Possible values: non-empty and <= 50 characters
key-aThe new alias of the organization.
string,null<alias>Possible values: non-empty and <= 100 characters
Key AResponses
- 200
- 404
- 409
The updated API key
Response Body
The UUID of the API key. Is unique.
string<uuid>00000000-0000-0000-0000-000000000000The handle of the API key. Is unique.
string<handle>key-aThe alias of the API key.
string,null<alias>Key ALast 4 characters of the API key token used for identification.
Possible values: <= 4 characters
cWTkThe token of the API key. This field is deprecated on non POST responses.
53y9g8ZNronem8Mv4Aw0h0oxiUWqysmZzKX8cWTkThe date and time when the API key was created.
string<date-time>2023-01-01T00:00:00.000000ZExample from Schema
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "key-a",
"alias": "Key A",
"suffix": "cWTk",
"createdAt": "2023-01-01T00:00:00.000000Z"
}
Resource not found
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}
Resource collision
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}